## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iQuestSeqOpFactory Struct Reference

A factory to create sequence operators. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual csPtr< iQuestSeqOp > | CreateSeqOp (const celQuestParams &params)=0
| Create a sequence operation.
virtual bool | Load (iDocumentNode *node)=0
| Load this factory from a document node.

## Detailed Description

A factory to create sequence operators.

Factories are created by an iQuestSeqOpType instance.

Definition at line 312 of file questmanager.h.

## Member Function Documentation

virtual csPtr<iQuestSeqOp> iQuestSeqOpFactory::CreateSeqOp | ( | const celQuestParams & | params | ) | `[pure virtual]`

Create a sequence operation.

Parameters:

  | params | are the parameters with which this reward is instantiated.

virtual bool iQuestSeqOpFactory::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

Load this factory from a document node.

Parameters:

  | node | is the node for the operation.

Returns:
  false on error (reporter is used to report).

The documentation for this struct was generated from the following file:

- tools/questmanager.h